# Interface PoiExtractor

#### Hierarchy

- PoiExtractor

- Defined in src/profile/elevationComponent.js:33

#####
Index

### Properties

dist
id
sort
title
z

## Properties

### dist

dist: ((arg0: unknown) => number)

#### Type declaration

- - (arg0: unknown): number

  - Extract the distance from origin of a POI.

    #### Parameters

    - ##### arg0: unknown

    #### Returns number

- Defined in src/profile/elevationComponent.js:35

### id

id: ((arg0: unknown) => string)

#### Type declaration

- - (arg0: unknown): string

  - Extract the id of a POI.

    #### Parameters

    - ##### arg0: unknown

    #### Returns string

- Defined in src/profile/elevationComponent.js:34

### sort

sort: ((arg0: unknown) => number)

#### Type declaration

- - (arg0: unknown): number

  - Extract the sequence number of a POI.

    #### Parameters

    - ##### arg0: unknown

    #### Returns number

- Defined in src/profile/elevationComponent.js:37

### title

title: ((arg0: unknown) => string)

#### Type declaration

- - (arg0: unknown): string

  - Extract the title of a POI.

    #### Parameters

    - ##### arg0: unknown

    #### Returns string

- Defined in src/profile/elevationComponent.js:38

### z

z: ((arg0: unknown, arg1: number) => number)

#### Type declaration

- - (arg0: unknown, arg1: number): number

  - Extract the elevation of a POI.

    #### Parameters

    - ##### arg0: unknown

    - ##### arg1: number

    #### Returns number

- Defined in src/profile/elevationComponent.js:36

Generated using TypeDoc